/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
import { Ux } from '@salesforce/sf-plugins-core';
import { Messages } from '@salesforce/core';
const ux = new Ux();
export class AsyncDeployResultFormatter {
    id;
    constructor(id) {
        this.id = id;
    }
    // eslint-disable-next-line @typescript-eslint/require-await
    async getJson() {
        return { id: this.id, done: false, status: 'Queued', files: [] };
    }
    display() {
        Messages.importMessagesDirectoryFromMetaUrl(import.meta.url);
        const deployAsyncMessages = Messages.loadMessages('@salesforce/plugin-deploy-retrieve', 'deploy.async');
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployQueued'));
        ux.log();
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployResume', [this.id]));
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployStatus', [this.id]));
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployCancel', [this.id]));
    }
}
//# sourceMappingURL=asyncDeployResultFormatter.js.map