/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
/** true if it's the original, nonDecomposed CustomLabel(s) type (either the parent or the child).  This returns false for customRegistry if they've overridden the type */
export const isNonDecomposedCustomLabelsOrCustomLabel = (cmp) => [cmp, cmp.parent].some(isDecomposed);
/** true if it's the original, nonDecomposed CustomLabels (the parent).  This returns false for customRegistry if they've overridden the type */
export const isNonDecomposedCustomLabels = (cmp) => isDecomposed(cmp);
/** true if it's the original, nonDecomposed CustomLabels (the parent).  This returns false for customRegistry if they've overridden the type */
export const isNonDecomposedCustomLabel = (cmp) => isDecomposed(cmp.parent);
const isDecomposed = (cmp) => cmp?.type.strategies?.transformer === 'nonDecomposed';
//# sourceMappingURL=metadataTypes.js.map